tt_session_prop(library call)

NAME
tt_session_prop — return the ith value of a session property

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_session_prop(
const char *sessid,
const char *propname,
int i);

DESCRIPTION

The tt_session_prop function returns the ith value of the specified session property.

The sessid argument is the name of the session joined. The application can use the sessid value returned when tt_default_session is called. The propname argument is the name of the property from which a value is to be retrieved. The name must be less than 64 bytes. The i argument is the number of the item in the property name list for which the value is to be obtained. The list numbering begins with zero.

RETURN VALUE

Upon successful completion, the tt_session_prop function returns the value of the requested property. If there are i values or fewer, it returns NULL. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_PROPNAME
    The specified property name is syntactically invalid.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

If the returned value has embedded nulls, it is impossible to determine how long it is. The application can use tt_session_bprop(3) for values with embedded nulls.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).